> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Auth

> POST /auth/otp/{otpChallengeId}

`POST /auth/otp/{otpChallengeId}`

Base URL: `https://universal.rollout.com/api`

## Parameters

| Name             | In   | Type   | Required |
| ---------------- | ---- | ------ | -------- |
| `otpChallengeId` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |

## OpenAPI Source

`/openapi/rollout.json POST /auth/otp/{otpChallengeId}`


## OpenAPI

````yaml /openapi/rollout.json POST /auth/otp/{otpChallengeId}
openapi: 3.0.3
info:
  title: Universal API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://universal.rollout.com/api
security: []
paths:
  /auth/otp/{otpChallengeId}:
    post:
      summary: Create Auth
      operationId: post_auth_otp_otpchallengeid
      parameters:
        - schema:
            type: string
          in: path
          name: otpChallengeId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
          multipart/form-data:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
          text/plain:
            schema:
              type: object
              properties:
                otp:
                  type: string
              required:
                - otp
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  credential:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                required:
                  - ok
                  - credential
            multipart/form-data:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  credential:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                required:
                  - ok
                  - credential
            text/plain:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  credential:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                required:
                  - ok
                  - credential
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - ok
                  - errors
            multipart/form-data:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - ok
                  - errors
            text/plain:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - ok
                  - errors
          description: Bad Request

````